---
title: Window.frameElement
slug: Web/API/Window/frameElement
tags:
  - API
  - DOM
  - Property
  - Reference
  - Window
---
<div>{{ApiRef}}</div>

<p><span class="seoSummary">The <code><strong>Window.frameElement</strong></code> property returns the element (such as {{HTMLElement("iframe")}} or {{HTMLElement("object")}}) in which the window is embedded.</span></p>

<div class="note">
<p><strong>Note:</strong> Despite this property's name, it works for documents embedded within any embedding point, including {{HTMLElement("object")}}, {{HTMLElement("iframe")}}, or {{HTMLElement("embed")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>frameEl</em> = window.frameElement
</pre>

<h3 id="Value">Value</h3>

<p>The element which the window is embedded into. If the window isn't embedded into another document, or if the document into which it's embedded has a different {{glossary("origin")}}, the value is {{jsxref("null")}} instead.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">const frameEl = window.frameElement;
// If we're embedded, change the containing element's URL to 'http://mozilla.org/'
if (frameEl) {
  frameEl.src = 'http://mozilla.org/';
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'browsers.html#dom-frameelement', 'Window.frameElement')}}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Window.frameElement")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.frames")}} returns an array-like object, listing the direct sub-frames of the current window.</li>
 <li>{{domxref("window.parent")}} returns the parent window, which is the window containing the <code>frameElement</code> of the child window.</li>
</ul>
